Elm_Gen_Item_Type Struct Reference
Widgets Extension Infrastructure

## Data Fields

Elm_Gen_Item * | it
Elm_Gengrid_Data * | wsd
Ecore_Animator * | item_reorder_move_animator
Evas_Coord | gx
Evas_Coord | gy
Evas_Coord | ox
Evas_Coord | oy
Evas_Coord | tx
Evas_Coord | ty
Evas_Coord | rx
Evas_Coord | ry
unsigned int | moving_effect_start_time
int | prev_group
Eina_Bool | group_realized: 1
Eina_Bool | moving: 1
Eina_Bool | nocache_once: 1
Eina_Bool | nocache: 1
Evas_Coord | w
Evas_Coord | h
Evas_Coord | sw
Evas_Coord | sh
Elm_Genlist_Data * | wsd
Item_Block * | block
Eina_List * | items
Evas_Coord | minw
Evas_Coord | minh
Elm_Gen_Item * | group_item
Elm_Genlist_Item_Type | type
Eina_List * | deco_it_texts
Eina_List * | deco_it_contents
Eina_List * | deco_all_texts
Eina_List * | deco_all_contents
Eina_List * | flip_contents
Ecore_Timer * | swipe_timer
Evas_Coord | scrl_x
Evas_Coord | scrl_y
Evas_Coord | old_scrl_y
Elm_Gen_Item * | rel
Eina_List * | rel_revs
Evas_Object * | deco_it_view
int | expanded_depth
int | order_num_in
Eina_Bool | decorate_all_item_realized: 1
Eina_Bool | tree_effect_finished: 1
Eina_Bool | move_effect_enabled: 1
Eina_Bool | tree_effect_hide_me: 1
Eina_Bool | stacking_even: 1
Eina_Bool | want_realize: 1
Eina_Bool | nostacking: 1
Eina_Bool | expanded: 1
Eina_Bool | mincalcd: 1
Eina_Bool | updateme: 1
Eina_Bool | queued: 1
Eina_Bool | before: 1
Eina_Bool | show_me: 1
Eina_Bool | unfocusable: 1